Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions
split.hpp File Reference

## Classes
struct | ranges::split_view< V, Pattern >
struct | ranges::views::split_base_fn
struct | ranges::views::split_fn

## Typedefs
template<typename Rng , typename Pattern >
using | ranges::cpp20::split_view = ranges::split_view< Rng, Pattern >

## Functions
template<typename R , typename P >
| ranges::split_view (R &&, P &&) -> split_view< views::all_t< R >, views::all_t< P >>
template<typename R >
| ranges::split_view (R &&, range_value_t< R >) -> split_view< views::all_t< R >, single_view< range_value_t< R >>>

## Typedef Documentation

## ◆ split_view

template<typename Rng , typename Pattern >

using ranges::cpp20::split_view = typedef ranges::split_view<Rng, Pattern>

Precondition
  requires `input_range<Rng> && forward_range<Pattern> && view_<Rng> && view_<Pattern> && indirectly_comparable< iterator_t<Rng>, iterator_t<Pattern>, ranges::equal_to> && (forward_range<Rng> || ranges::detail::tiny_range<Pattern>)` //